2025-02-07  TANAKA Takuji  <ttk@t-lab.opal.ne.jp>

	* tests/catcd.tex, tests/al-cat.log: Update tests.

2025-02-02  TANAKA Takuji  <ttk@t-lab.opal.ne.jp>

	* aleph-cat.test, tests/catcd.tex, tests/al-cat.log,
	am/aleph.am: Add test for catcode of 16bit latin character.
	* aleph-ofm.test, tests/al-ofm.tex, tests/al-ofm.log:
	Update tests.

2025-01-27  Karl Berry  <karl@freefriends.org>

	* am/aleph.am (aleph-pool.c): exit 1 if makecpool failed.

2024-10-20  TANAKA Takuji  <ttk@t-lab.opal.ne.jp>

	* aleph-{ofm,lmr}.test, tests/lmr1.tex,
	tests/al-ofm.tex, tests/al-lmr1.log, tests/al-ofm.log,
	tests/inutf8.ocp, am/aleph.am: Add tests for OFM.

2024-03-10  Karl Berry  <karl@tug.org>

	* TL'24 release.

2023-08-18  Hironobu Yamashita <h.y.acetaminophen@gmail.com>

	* com16bit.ch: Sync with tex.ch changes:
	  - 2008-01-02 r6024 introduce expand_depth.
	* eobase.ch: Sync with etex.ch changes:
	  - 2021-02-22 r57850 avoid "expansion depth" overflow.

2023-03-09  Karl Berry  <karl@tug.org>

	* TL'23 release.

2023-02-21  Phelype Oleinik  <phelype.oleinik@latex-project.org>

	* latespecial.ch: reduce memory usage, a la HH/luatex.

2023-02-15  Phelype Oleinik  <phelype.oleinik@latex-project.org>

	* latespecial.ch: new change file for "\special shipout".
	* am/aleph.am (aleph_web_srcs): add latespecial.ch.

2022-10-22  Hironobu Yamashita <h.y.acetaminophen@gmail.com>

	* com16bit.ch: Sync with tex.ch changes:
	  - 2022-07-16 r63916 to disallow \noexpand\endwrite.
	  - 2021-07-22 r60013 explicit fmt loading error.
	  - 2022-09-28 r64547 protect against recursive --halt-on-error.
	* comsrcspec.ch: Sync with tex.ch changes:
	  - 2022-09-28 r64547 protect against recursive --halt-on-error.

2022-03-21  Karl Berry  <karl@tug.org>

	* TL'22 release.

2022-01-10  Karl Berry  <karl@freefriends.org>

	* am/aleph.am: do not silence tangle-sh.

2021-07-19  Hironobu Yamashita <h.y.acetaminophen@gmail.com>

	* com16bit.ch: Sync with tex.ch to initialize limit.
	https://tug.org/pipermail/tex-k/2021-July/003630.html

2021-05-08  Akira Kakuto  <kakuto@w32tex.org>

	* com16bit.ch: Sync sup_param_size and sup_save_size with tex.ch.

2021-03-23  Karl Berry  <karl@tug.org>

	* TL'21.

2020-07-07  Akira Kakuto  <kakuto@w32tex.org>

	* com16bit.ch: Sync with tex.ch (avoid seg fault in unusual
	interaction sequence).

2020-02-10  Akira Kakuto  <kakuto@w32tex.org>

	* com16bit.ch: Sync with tex.ch for changes by Phelype Oleinik
	to support \input {...}.

2019-12-18  Akira Kakuto  <kakuto@w32tex.org>

	* com16bit.ch: Sync with tex.ch for out_what [1374].

2019-08-10  Akira Kakuto  <kakuto@w32tex.org>

	* com16bit.ch: Sync with tex.ch for texmf_yesno('log_openout').

2018-03-24  Hironobu Yamashita <h.y.acetaminophen@gmail.com>

	* ceostuff.ch: Recover the right \lastnodetype initialization
	value ignored by tex.ch.

2017-12-25  Hironobu Yamashita  <h.y.acetaminophen@gmail.com>

	* omtrans.ch (omega_print): expand \newlinechar for terminal and
	log output. (Without this, LaTeX error messages contain ^^J.)

2017-12-13  Hironobu Yamashita  <h.y.acetaminophen@gmail.com>

	* om16bit.ch: \show\odelimiter should be \odelimiter, etc.
	This is a backport from eptexdir/fam256.ch.

2017-01-28  Karl Berry  <karl@freefriends.org>

	* com16bit.ch (texarray): don't mention pool files in error message.

2015-07-10  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/aleph.am: Dependencies for 'make check'.

2015-06-22  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/aleph.am: Use $(tie_c) and $(tie_m).

2015-04-14  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* alephbis.c: Declare {in,out}_file_fd only when used (!WIN32).

2015-01-18  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* com16bit.ch: Drop intcast().

2014-12-15  Karl Berry  <karl@tug.org>

	* alephbis.c (runexternalocp): quote arguments to system()
	and check string values. Untested, sorry to say.

2014-07-21  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	* com16bit.ch: Add a function get_nullstr.

2014-01-20  Peter Breitenlohner  <peb@mppmu.mpg.de>

	TeX tuneup of 2014.
	* com16bit.ch, eobase.ch, eoext.ch, eover.ch, omstr.ch,
	om16bit.ch: Adapt to TeX Version 3.14159265.

2014-01-14  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* com16bit.ch, comsrcspec.ch: Write dump_name to the terminal.

2014-01-13  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* com16bit.ch.ch: Restore the word `preloaded' for
	format_idents (as in ../tex.ch).

2013-06-28  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* alephbis.c: Include "alephd.h" before system headers.

2013-04-09  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* alephextra.h, eover.ch: 0.0-rc4 ---> 0.1 for TL 2013.

2012-12-18  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/aleph.am: Enable silent rules.

2012-12-02  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	* om16bit.ch: fix a delcode bug.

2012-11-12  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/aleph.am: Define al_tangle and use it instead of o_tangle.

2012-10-05  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* aleph.c ({allocate,undump}{font,ocp}table): Correctly specify
	the new size for xrealloc().  Remove useless casts.
	({allocate,{un,}dump}fontsorttable): Drop unused functions.
	* omocp.ch: Fix the logic of read_ocp_info().
	Check for ocp table overflow.
	Avoid segmentation fault (uninitialized use of 'f').

2012-07-15  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	* alephextra.c: Must #define DLLPROC before reading alephd.h.

2012-06-30  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* alephextra.c [W32TeX]: #define DLLPROC for aleph.dll.

2012-06-28  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	* om16bit.ch: Aleph uses 256 math font families.

2012-04-11  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* eobase.ch: Fixed a typo in TeX text (for e-TeX).

2012-02-16  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* com16bit.ch: Remove test for end-of-file after undump.

2012-02-01  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* com16bit.ch: Ensure dvi file size < 2GB.

2011-12-13  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* com16bit.ch, om16bit.ch: Consistency of `constants':
	Aleph requires min_halfword==0.

2011-12-08  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* com16bit.ch, om16bit.ch: Consistency of `constants'.
	* omocp.ch: Adjust to null, i.e., min_halfword <0.

	* aleph.test (new): Just testing 'aleph -version'.
	* Makefile (removed): Unused.
	* am/aleph.am: Adjusted.

2011-09-30  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* com16bit.ch.ch (print_file_line): Bug fix: avoid uninitialized
	lineno - from ../tex.ch.
	* eobase.ch: Slightly reformulate printing of current line -
	from ../etexdir/etex.ch.

2011-09-09  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* alephbis.c (runexternalocp): Declare tempenv as const.

2011-04-19  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Avoid 'differ in signedness' warnings.
	* com16bit.ch: Cast runsystem() arg to string.

2011-03-28  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/aleph.am: Use AM_CFLAGS instead of aleph_CFLAGS.

2011-03-23  Peter Breitenlohner  <peb@mppmu.mpg.de>

	eobase.ch: Remove unused (commented) e-TeX changes.

2011-03-21  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* aleph-pool.h, eomega.ech, etex.ch, omega.ch[012], omxml.ch
	(removed): Obsolete.
	* am/aleph.am (EXTRA_DIST): Adapt.

2011-01-14  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* eobase.ch: Adapt to ../etexdir/etex.ch:
	Mention \protected in error and help messages only when in
	in extended mode.

2011-01-11  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* aleph.mk (removed): Obsolete.

2011-01-01  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* alephextra.c (new): #include <alephd.h> and <lib/texmfmp.c>.

	* am/aleph.am: alephextra.c is now distributed.

2010-12-31  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/aleph.am (alephextra.c): Uniform dependencies and rules.

2010-05-19  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* aleph.c (new_input_line): Cast integer to long for printing
	to avoid warning on 64Bit systems.

2010-05-18  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* eobase.ch: Adapt to ../etexdir/etex.ch:
	More error message with \protected, from Heiko.

2010-04-28  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* eobase.ch: Adapt to ../etexdir/etex.ch:
	Fixed the error message for improper use of \protected,
	reported by Heiko Oberdiek <heiko.oberdiek@googlemail.com>.

2010-01-03  Karl Berry  <karl@tug.org>

	* com16bit.ch: propagate "executed safely" wording change.

2009-11-27  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* com16bit.ch (read_font_info): Better wording of error message.

2009-11-19  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* com16bit.ch (read_font_info): Check font name length to avoid
	broken .dvi files.

2009-11-09  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* com16bit.ch: Check for allowed filename before opening the
	output file. Better diagnostic when input file not found.
	From  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>.

2009-10-24  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* com16bit.ch: Use kpse_{in,out}_name_ok(), now in Kpathsea,
	instead of open_{in,out}_name_ok().

2009-10-07  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/aleph.am: Enable compiler warnings.

	Avoid many (--enable-...=max) compiler warnings.
	* aleph.c (getc_two_LE, ungetc_two_LE): Declare as static.
	(createeqtbptr): Comment out unused function.
	(zpnewinputln, ziniteqtbentry): Drop extern decls; instead use
	pnewinputln and initeqtbentry as defined in alephcoerce.h.
	* alephbis.c (runexternalocp): Declare in_file_fd, out_file_fd
	only when used (HAVE_MKSTEMP).
	* alephmem.h: ANSI C function prototypes.
	* com16bit.ch (bound_name, months): Declare as const_cstring.
	(get_strings_started, open_log_file): Drop unused variables.
	* eo16bit.ch (show_sa): Drop unused variable.
	* eomem.ch (box_end): Drop unused variable.
	* om16bit.ch (set_math_char): Drop unused variables.

2009-09-06  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/aleph.am: Adapt to new makecpool with one argument,
	obsoleting aleph-pool.h.

2009-08-16  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/aleph.am: Adapt to tangle-sh and web2c-sh.

2009-08-13  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/aleph.am (aleph_c_h): avoid to split the C code.

2009-06-23  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* aleph.c, alephbis.c: drop P?C, P?H, use ANSI C function
	declarations.

2009-02-26  Karl Berry  <karl@tug.org>

	* alephextra-rc2.h (BANNER, COPYRIGHT_HOLDER, BUG_ADDRESS):
	make consistent.
	* eocprt.ch: do not announce copyright on the terminal,
	but do include full copyright notices in the .log.
	* com16bit-rc2.ch (banner_k): just make equivalent to banner,
	since Web2C announces itself.

	* comsrcspec.ch, com16bit-rc2.ch:
	Use runsystem() instead of system(), etc.  See tex.ch entry in
	../ChangeLog

2008-03-23  Karl Berry  <karl@freefriends.org>

	* Update to TeX 3.1415926; compile in pool files.
	From Akira.

2006-05-25  Roozbeh Pournader  <roozbeh@farsiweb.info>

	* omfilter.ch: fixed a bug in OCP processing, increased
	  active_mem_size from 2000 to 50000.

	* alephbis.c: updated from ../omegadir/omegabis.c: optimized UTF-8
	  read/write code, fixed a macro, closed files and freed memory to
	  avoid a leak.

	* omfilter.ch, eover-rc2.ch: made 'weave'-able.

	* alephbis.c, aleph.c, aleph.defines, alephextra.h,
	  alephextra-rc1.h, alephextra-rc2.h, alephmem.h: fixed copyright
	  lines.
